<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for special_sgi64.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
special_sgi64 - special processing for SGI64 back-end

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>special_sgi64</B> { -in | -out } <I>infile</I> <I>outfile</I> { <I>infile</I> <I>out</I><B>_</B>f<I>ile</I>
}*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>special</I><B>_</B><I>sgi64</I> program does special processing to
interface with the SGI64 back-end compiler. It does this
by means of ``#pragma'' lines, both ``#pragma'' lines in
the input from system header files that give SUIF information
about the back-end, and ``#pragma'' lines that SUIF
puts in the output C files to communicate information SUIF
has to the back-end compiler. It also does special optimizations
that are specific to the SGI64 back-end.
<P>
This program should be run twice, once after the front end
with the ``-in'' option to read in annotations, and once
just before s2c with the ``-out'' option.

<H2><A NAME="sect3" HREF="#toc3"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">History</A></LI>
</UL>
</BODY></HTML>
